{"openapi":"3.1.0","servers":[{"url":"https://public-api.cian.ru/"}],"info":{"title":"Циан API","version":"1.0","description":"<a href=\"https://www.cian.ru/help/about/37970/\">Условия использования</a>\n\n## Описание\nЕсли у вас останутся вопросы или пожелания, напишите на import@cian.ru с пометкой: «Документация Циан API» — мы обязательно ответим.\n\n### Авторизация\nДля работы с API необходимо получить ключ авторизации. Для получения ключа нужно написать письмо на import@cian.ru с темой \"ACCESS KEY\" и названием агентства, которое вы представляете. Менеджер уточнит подробности и пришлет ACCESS KEY. Для каждой учетной записи на ЦИАН выдается отдельный ключ авторизации.\n\nДалее все запросы выполняются с заголовком: `Authorization: Bearer <ACCESS KEY>`.\n\n### Дата и время\n<p>Данные могут быть переданы в одном из форматов:</p>\n<p>- без явного указания таймзоны - для времени (date-time): <code>2020-07-18T04:52:33.051204</code> и для даты (date): <code>2020-07-18</code>. В данных запросах дата и время передаются в таймозоне<code>Europe/Moscow</code></p>\n<p>- с явно указанной таймзоной в ответе: <code>2020-07-18T04:52:33.051204+00:00</code></p>\n\n\nВо всех запросах дата и время передаются и возвращаются в таймзоне `Europe/Moscow`.\n\n### Список значений\nДля передачи в параметрах запроса списка значений нужно передавать элементы списка по отдельности: `?offersIds=196032948&offersIds=196032949`\n\n\n### Ограничения\n\nЧтобы данные передавались стабильно, без задержек и блокировок, рекомендуем:\n<p>- отправлять не более 10 запросов в секунду на каждый конкретный метод*;</p>\n<p>- выполнять запросы равномерно.</p>\n\n<p>* Для некоторых методов эти значения могут меняться в зависимости от количества передаваемого контента.</p>\n\n<br>\n\n### История изменений\n  - `2026-08-26` Добавили метод [расчёта актуальных тарифов](#tag/tariffs/paths/~1v1~1calculate-tariffs~1/post) размещения и продвижения.\n  - `2026-04-10` Добавили методы для [загрузки](#tag/chats/paths/~1v1~1upload-file/post) и [отправки файлов](#tag/chats/paths/~1v1~1send-message-with-files~1/post) в чаты.\n  - `2025-05-22` Добавили методы для работы с [рассылками предложений](#tag/proposals).\n  - `2023-08-04` Добавили возможность подписаться на системные [сообщения](#tag/chats) от Циан.\n  - `2022-11-10` Добавили методы для работы с [сообщениями](#tag/chats).\n  - `2021-06-08` Добавили версию v2 АПИ [Получить объявления](#tag/offers/paths/~1v2~1get-my-offers/get) с поддержкой пагинации. Версия v1 АПИ помечена как deprecated.\n  - `2021-05-12` Поправили часовой пояс в ответе запроса [Получить отчет по звонкам](#tag/calls/paths/~1v1~1get-calls-report/get). Теперь возвращается `Europe/Moscow`\n  - `2021-02-11` Теперь у нас есть история изменений! Добавили поле `datetime` c датой и временем звонка в ответ запроса [Получить отчет по звонкам](#tag/calls/paths/~1v1~1get-calls-report/get)"},"tags":[{"name":"auction","x-displayName":"Аукцион","description":"Общие методы API для работы с аукционом"},{"name":"billing","x-displayName":"Биллинг","description":"Общие методы API для работы с биллингом"},{"name":"calls","x-displayName":"Звонки","description":"Общие методы API для работы со звонками"},{"name":"moderation","x-displayName":"Модерация","description":"Общие методы API для работы с модерацией"},{"name":"offers","x-displayName":"Объявления","description":"Общие методы API для работы с объявлениями"},{"name":"importOrders","x-displayName":"Отчеты по импорту объявлений","description":"Общие методы API для работы с отчетами по импорту объявлений"},{"name":"estimation","x-displayName":"Оценка недвижимости","description":"Общие методы API для оценки недвижимости"},{"name":"proposals","x-displayName":"Рассылки предложений","description":"Общие методы API для работы с рассылками предложений"},{"name":"chats","x-displayName":"Сообщения","description":"<p>Общие методы API для работы с сообщениями</p>\n\n<b>Важно!</b> \n<p> При работе с сообщениями дата и время передается с явно указанной таймзоной в ответе: <code>2020-07-18T04:52:33.051204+00:00</code></p>"},{"name":"agents","x-displayName":"Сотрудники","description":"Общие методы API для работы с сотрудниками"},{"name":"statistics","x-displayName":"Статистика по объявлениям","description":"Общие методы API для работы со статистикой по объявлениям"},{"name":"tariffs","x-displayName":"Тарифы","description":"Методы API для расчёта актуальных тарифов размещения и продвижения"},{"name":"notifications","x-displayName":"Уведомления","description":"Общие методы API для работы с уведомлениями"}],"paths":{"/v1/get-my-balance":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceModelSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["billing"],"summary":"Получить текущий баланс","description":"Метод API позволяет получить текущий баланс пользователя, количество бонусов, количество баллов, которые можно потратить на аукцион."}},"/v1/get-auction":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOffersAuctionInfoResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"offerIds","required":true,"description":"Ids объявлений","schema":{"title":"offer_ids","type":"array","items":{"title":"offer_ids","type":"integer","format":"int64"}}}],"tags":["auction"],"summary":"Получить информацию по ставкам на объявления","description":"Метод позволяет получить информацию по примененным к объявлению ставкам."}},"/v1/get-auction-predictions":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOffersPredictionsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOffersPredictionsRequestSchema"}}}},"tags":["auction"],"summary":"Получить информацию по прогнозам показов по объявлениям","description":"Метод позволяет получить информацию по прогнозам показов для переданных объявлений."}},"/v1/get-cpc-promotion-competitions/":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCpcPromotionCompetitionsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCpcPromotionCompetitionsRequestSchema"}}}},"tags":["auction"],"summary":"Получить информацию о срс-продвижении","description":"Метод API позволяет получить сводку по CPC-продвижению для объявлений агентства: конкуренцию, признак примененного продвижения, остаток дневного лимита и статистику платных просмотров за текущие сутки.\n\nЗапрос выполняется в одном из двух режимов:\n- по списку `announcementIds`;\n- по объявлениям пользователя через `userId` с пагинацией `page` и `pageSize`, если список `announcementIds` не передан или пуст.\n\nВ ответе возвращаются массив `announcements`, общее число найденных объявлений `totalCount` и флаг `nextPage`. Для каждого объявления отдаются агрегированные поля конкуренции, `isPromotionApplied`, `paidViewsCount` и `amountSpent`.\n\nОсобенности для клиентов:\n- в режиме списка чужие и несуществующие `announcementIds` пропускаются;\n- `isPromotionApplied` учитывает только активную CPC-ставку;\n- в конкуренции учитываются объявления с активной ставкой и ставкой в статусе `LimitExceeded`;\n- `paidViewsCount` и `amountSpent` считаются только за текущий день;\n- поля текущей ставки и статуса ставки отдельно не возвращаются."}},"/v1/get-cpc-promotion-parameters/":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCpcPromotionParametersResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"tags":["auction"],"summary":"Получить информацию о параметрах срс-ставок в кластерах","description":"Метод API позволяет получить справочные параметры CPC-продвижения, которые нужны клиенту для работы с настройками ставок.\n\nВ ответе возвращается плоский массив `configurations` со строковыми идентификаторами доступных конфигураций CPC-продвижения.\n\nОсобенности для клиентов:\n- ответ предназначен как справочник параметров, а не как расчет по конкретному объявлению;"}},"/v1/get-offer-active-services":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetActualAppliedServicesApiResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"offerIds","required":true,"description":"Список объявлений","schema":{"title":"offer_ids","type":"array","items":{"title":"offer_ids","type":"integer","format":"int64"}}}],"tags":["billing"],"summary":"Получить активные услуги по объявлениям","description":"Метод API позволяет получить активные на текущую дату услуги, примененные к выбранному объявлению или нескольким объявлениям агентства.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-offer-active-services?offerIds=214937422&offerIds=218965501"}},"/v1/get-operations":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsByUserListResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"employeeId","required":false,"description":"Id сотрудника для получения событий по нему. Если не передан - вернёт операции для мастер-аккаунта.","schema":{"title":"employee_id","type":"integer","format":"int64"}},{"in":"query","name":"from","required":true,"description":"Начало периода","schema":{"title":"from_","type":"string","format":"date-time"}},{"in":"query","name":"operationType","required":true,"description":"Тип операций для поиска","schema":{"enum":["all","balance","deposit","withdrawal"],"type":"string","x-withdrawal":"Списания","x-deposit":"Пополения","x-balance":"Состояние счета","x-all":"Все операции","description":"\n\t\n `withdrawal`: Списания\t\n `deposit`: Пополения\t\n `balance`: Состояние счета\t\n `all`: Все операции"}},{"in":"query","name":"page","required":true,"description":"Номер страницы (начиная с 1).","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы (начиная с 1).","schema":{"title":"page_size","type":"integer","format":"int64"}},{"in":"query","name":"paymentType","required":false,"description":"Тип списаний для поиска","schema":{"enum":["all","bonus","money","points"],"type":"string","x-money":"За деньги","x-points":"За баллы","x-all":"Все","x-bonus":"Бонусами на продвижение","description":"\n\t\n `money`: За деньги\t\n `points`: За баллы\t\n `all`: Все\t\n `bonus`: Бонусами на продвижение"}},{"in":"query","name":"to","required":true,"description":"Конец периода","schema":{"title":"to","type":"string","format":"date-time"}}],"tags":["billing"],"summary":"Получить список операций","description":"Метод API позволяет получить биллинговые операции (списание, пополнение, срез по балансу) для каждого из сотрудников мастер-аккаунта."}},"/v1/get-agents":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentsListResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"page","required":true,"description":"Номер запрашиваемой страницы.","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы.","schema":{"title":"page_size","type":"integer","format":"int64"}},{"in":"query","name":"query","required":false,"description":"Поисковый запрос","schema":{"title":"query","type":"string"}},{"in":"query","name":"statuses","required":false,"description":"Статусы","schema":{"title":"statuses","type":"array","items":{"enum":["active","blocked","deleted","deletedAndHidden","processing","request"],"type":"string","x-request":"Отправлена заявка на добавление агента к агентству","x-active":"Активный агент","x-processing":"Агент в процессе активации/блокировки","x-blocked":"Заблокированный агент","x-deleted":"Удаленный агент","x-deletedAndHidden":"Удаленный агент","description":"\n\t\n `request`: Отправлена заявка на добавление агента к агентству\t\n `active`: Активный агент\t\n `processing`: Агент в процессе активации/блокировки\t\n `blocked`: Заблокированный агент\t\n `deleted`: Удаленный агент\t\n `deletedAndHidden`: Удаленный агент"},"description":"\n\t\n `request`: Отправлена заявка на добавление агента к агентству\t\n `active`: Активный агент\t\n `processing`: Агент в процессе активации/блокировки\t\n `blocked`: Заблокированный агент\t\n `deleted`: Удаленный агент\t\n `deletedAndHidden`: Удаленный агент"}},{"in":"query","name":"userIds","required":false,"description":"Список сотрудников, которых нужно вернуть в ответе. Если не задан - вернуть информацию по всем сотрудникам.","schema":{"title":"user_ids","type":"array","items":{"title":"user_ids","type":"integer","format":"int64"}}}],"tags":["agents"],"summary":"Получить список сотрудников","description":"Метод API позволяет получить список сотрудников агентства, зная идентификатор мастер-аккаунта агентства."}},"/v1/get-my-offers":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnouncementInfoResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"source","required":false,"description":"Источник объявления","schema":{"enum":["manual","upload"],"type":"string","x-manual":"Ручное","x-upload":"Импорт","description":"\n\t\n `manual`: Ручное\t\n `upload`: Импорт"}},{"in":"query","name":"statuses","required":false,"description":"Статусы","schema":{"title":"statuses","type":"array","items":{"enum":["inactive","published","refusedByModerator","removedByModerator"],"type":"string","x-published":"Опубликован","x-inactive":"Неактивен","x-refusedByModerator":"Отклонен модератором","x-removedByModerator":"Удален модератором","description":"\n\t\n `published`: Опубликован\t\n `inactive`: Неактивен\t\n `refusedByModerator`: Отклонен модератором\t\n `removedByModerator`: Удален модератором"},"description":"\n\t\n `published`: Опубликован\t\n `inactive`: Неактивен\t\n `refusedByModerator`: Отклонен модератором\t\n `removedByModerator`: Удален модератором"}},{"in":"query","name":"usersIds","required":false,"description":"Список пользователей (сабов)","schema":{"title":"users_ids","type":"array","items":{"title":"users_ids","type":"integer","format":"int64"}}}],"tags":["offers"],"summary":"Получить объявления","description":"\nС помощью метода можно получить объявления по агентству, отфильтровав объявления по статусу, источнику и списку сотрудников.\n\nПредположим, агентству нужно получить все свои объявления: уже снятые с публикации и опубликованные на текущий момент. При этом необходимо видеть только те объявления, которые были созданы агентом вручную, а не загружены через XML-фид. Объявления должны быть отфильтрованы по id агента, который опубликовал их.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-my-offers?source=manual&statuses=inactive&statuses=published\n\nВозможно получить только те объявления, которые были созданы определенными агентами (id 106815 и 106816). Для этого в параметры запроса нужно передать еще поле usersIds c идентификаторами сотрудников.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-my-offers?source=manual&statuses=inactive&statuses=published&usersIds=106815&usersIds=106816\n\nПараметры не являются обязательными для заполнения. В случае отправки пустого запроса в ответе будут указаны все когда-либо существовавшие объявления агентства.","deprecated":"true"}},"/v2/get-my-offers":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnouncementInfoV2ResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"page","required":true,"description":"Номер страницы выдачи","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы выдачи","schema":{"title":"page_size","type":"integer","format":"int64"}},{"in":"query","name":"source","required":false,"description":"Источник объявления","schema":{"enum":["manual","upload"],"type":"string","x-manual":"Ручное","x-upload":"Импорт","description":"\n\t\n `manual`: Ручное\t\n `upload`: Импорт"}},{"in":"query","name":"statuses","required":false,"description":"Статусы","schema":{"title":"statuses","type":"array","items":{"enum":["inactive","published","refusedByModerator","removedByModerator"],"type":"string","x-published":"Опубликован","x-inactive":"Неактивен","x-refusedByModerator":"Отклонен модератором","x-removedByModerator":"Удален модератором","description":"\n\t\n `published`: Опубликован\t\n `inactive`: Неактивен\t\n `refusedByModerator`: Отклонен модератором\t\n `removedByModerator`: Удален модератором"},"description":"\n\t\n `published`: Опубликован\t\n `inactive`: Неактивен\t\n `refusedByModerator`: Отклонен модератором\t\n `removedByModerator`: Удален модератором"}},{"in":"query","name":"usersIds","required":false,"description":"Список пользователей (сабов)","schema":{"title":"users_ids","type":"array","items":{"title":"users_ids","type":"integer","format":"int64"}}}],"tags":["offers"],"summary":"Получить объявления","description":"С помощью метода можно получить объявления по агентству, отфильтровав объявления по статусу, источнику и списку сотрудников.\n\nПредположим, агентству нужно получить все свои объявления: уже снятые с публикации и опубликованные на текущий момент. При этом необходимо видеть только те объявления, которые были созданы агентом вручную, а не загружены через XML-фид. Объявления должны быть отфильтрованы по id агента, который опубликовал их.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v2/get-my-offers?source=manual&statuses=inactive&statuses=published&page=1&pageSize=10\n\nВозможно получить только те объявления, которые были созданы определенными агентами (id 106815 и 106816). Для этого в параметры запроса нужно передать еще поле usersIds c идентификаторами сотрудников.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v2/get-my-offers?source=manual&statuses=inactive&statuses=published&usersIds=106815&usersIds=106816&page=1&pageSize=10\n\nВсе параметры, кроме `page` и `pageSize`, не являются обязательными для заполнения."}},"/v1/get-my-offers-detail":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOffersInfoByIdsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"offerIds","required":true,"description":"Список id объявлений","schema":{"title":"offer_ids","type":"array","items":{"title":"offer_ids","type":"integer","format":"int64"}}}],"tags":["offers"],"summary":"Получить информацию об объявлениях","description":"\nС помощью метода можно получить детальную информацию по объявлениям агентства."}},"/v1/get-last-order-info":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LastOrderReportInfoResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["importOrders"],"summary":"Получить состояние импорта объявлений","description":"Метод позволяет получить состояние последнего актуального отчета по импорту объявлений и возвращает информацию об отчете: URL XML-фида, дату проверки фида, наличие или отсутствие проблем с объявлениями и фотографиями в объявлении, номер заказа (номер выгрузки) фида, дату последней обработки фида."}},"/v1/get-order":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnloadReportResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["importOrders"],"summary":"Получить отчет по импорту объявлений","description":"Метод позволяет получить последний актуальный отчет по импорту объявлений и возвращает информацию об отчете: URL XML-фида, дату проверки фида, наличие или отсутствие проблем с объявлениями и фотографиями в объявлении, номер заказа (номер выгрузки) фида, дату последней обработки фида."}},"/v1/get-images-report":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImageReportResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"page","required":true,"description":"Номер страницы (должен начинаться с 1)","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы (от 1 до 500)","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["importOrders"],"summary":"Получить отчет об изображениях","description":"Метод позволяет получить последний актуальный отчет об изображениях объявлений в XML-фиде."}},"/v1/get-views-statistics-by-days":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOfferStatisticsByDaysResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":true,"description":"Дата с которой искать","schema":{"title":"date_from","type":"string","format":"date"}},{"in":"query","name":"dateTo","required":true,"description":"Дата до которой искать","schema":{"title":"date_to","type":"string","format":"date"}},{"in":"query","name":"offerId","required":true,"description":"ID объявления","schema":{"title":"offer_id","type":"integer","format":"int64"}}],"tags":["statistics"],"summary":"Получить статистику объявления по дням","description":"Метод возвращает статистику вашего объявления за указанный период по дням.\n\nОграничения на диапазон дат в этом методе.\n- Дата начала периода должна быть строго больше даты конца периода.\n- Возможно запрашивать диапазон не более 180 дней.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-views-statistics-by-days?offerId=196032948&dateFrom=2020-06-01&dateTo=2020-06-15"}},"/v1/get-views-statistics":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetOffersStatisticsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"offersIds","required":true,"description":"Список ID объявлений","schema":{"title":"offers_ids","type":"array","items":{"title":"offers_ids","type":"integer","format":"int64"}}}],"tags":["statistics"],"summary":"Получить статистику объявлений за все время","description":"Метод возвращает статистику ваших объявлений за все время.\n\nМаксимально допустимое количество id объявлений – 50.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-views-statistics?offersIds=196032948&offersIds=196032949"}},"/v1/get-calls-report":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCallsReportForAgencyResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":false,"description":"Дата начала периода (включительно)","schema":{"title":"date_from","type":"string","format":"date"}},{"in":"query","name":"dateTo","required":false,"description":"Дата конца периода (включительно)","schema":{"title":"date_to","type":"string","format":"date"}},{"in":"query","name":"employeeId","required":false,"description":"ID сотрудника","schema":{"title":"employee_id","type":"integer","format":"int64","x-sensitiveData":"pdnPublic"}},{"in":"query","name":"page","required":true,"description":"Номер страницы","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["calls"],"summary":"Получить отчет по звонкам","description":"Получить отчет по звонкам с фильтрацией по датам и ID сотрудника","deprecated":"true"}},"/v2/get-calls-report":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCallsReportForAgencyResponseV2SchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":false,"description":"Дата начала периода (включительно)","schema":{"title":"date_from","type":"string","format":"date"}},{"in":"query","name":"dateTo","required":false,"description":"Дата конца периода (включительно)","schema":{"title":"date_to","type":"string","format":"date"}},{"in":"query","name":"employeeId","required":false,"description":"ID сотрудника","schema":{"title":"employee_id","type":"integer","format":"int64","x-sensitiveData":"pdnPublic"}},{"in":"query","name":"page","required":true,"description":"Номер страницы","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["calls"],"summary":"Получить отчет по звонкам","description":"Метод позволяет получить отчёт по звонкам с фильтрацией по датам и ID сотрудника, с привязкой к конкретным объявлениям. \nПривязку звонков к объявлениям можно будет получать только с даты подключения метода, по старым звонкам получить привязку не получится. \n\nКак будут передаваться данные по объявлениям:\n\n- Id — если получилось определить, по какому объявлению был звонок;\n- externalId — для всех новых звонков, если его поменять — у старых звонков по объекту останется прежний ID;\n- url — только пока объявление опубликовано."}},"/v1/get-call-record":{"get":{"responses":{"200":{"content":{"audio/mpeg":{"examples":{"response":{"value":"Запись звонка (бинарные данные)"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"callId","required":true,"description":"ID звонка","schema":{"title":"call_id","type":"integer","format":"int64"}}],"tags":["calls"],"summary":"Получить запись звонка","description":"Получить запись звонка по `callId`. В ответе будет файл в формате `audio/mpeg`."}},"/v1/get-complaints":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetModerationComplaintResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":false,"description":"Дата с которой искать","schema":{"title":"date_from","type":"string","format":"date-time"}},{"in":"query","name":"dateTo","required":false,"description":"Дата до которой искать","schema":{"title":"date_to","type":"string","format":"date-time"}},{"in":"query","name":"page","required":true,"description":"Номер страницы","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["moderation"],"summary":"Получить жалобы","description":"Метод API позволяет получить жалобы на объявления."}},"/v1/get-stale-offers":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetNotActualAnnouncementsByMasterUserIdResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["moderation"],"summary":"Получить подозрения на неактуальность объявлений","description":"Метод отдаёт список ID объявлений, заподозренных в неактуальности, даты их автоматического снятия с публикации и ID проверок на неактуальность."}},"/v1/confirm-offer-staleness-suspicion":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"guid","required":true,"description":"Идентификатор проверки на актуальность.\n    Технический идентификатор записи, человека не идентифицирует — ПДн не является.","schema":{"title":"guid","type":"string","format":"uuid"}}],"tags":["moderation"],"summary":"Подтвердить подозрение на неактуальность объявления","description":"Метод принимает ID проверки на неактуальность. Если объявление с сайта, оно переместится в архив. Если объявление из выгрузок, оно отправится в черновик.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/confirm-offer-staleness-suspicion?guid=8c88a97c-ed5d-4958-a762-7741d51b3f7b"}},"/v1/reject-offer-staleness-suspicion":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"guid","required":true,"description":"Идентификатор проверки на актуальность.\n    Технический идентификатор записи, человека не идентифицирует — ПДн не является.","schema":{"title":"guid","type":"string","format":"uuid"}}],"tags":["moderation"],"summary":"Отклонить подозрение на неактуальность объявления","description":"Метод принимает ID проверки на неактуальность и возвращает объявлению статус актуального.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/reject-offer-staleness-suspicion?guid=8c88a97c-ed5d-4958-a762-7741d51b3f7b"}},"/v1/get-notifications":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserNotificationsApiResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":false,"description":"Дата с которой искать сообщения","schema":{"title":"date_from","type":"string","format":"date-time"}},{"in":"query","name":"dateTo","required":false,"description":"Дата по которую искать сообщения","schema":{"title":"date_to","type":"string","format":"date-time"}},{"in":"query","name":"employeeId","required":false,"description":"id пользователя сотрудника агентства","schema":{"title":"employee_id","type":"integer","format":"int64"}},{"in":"query","name":"page","required":true,"description":"Номер страницы","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["notifications"],"summary":"Получить уведомления","description":"Метод API позволяет посмотреть уведомления, полученные агентством.\n\nВ присылаемых пользователю уведомлениях может быть информация о пополнении счета, активации тарифа, предупреждения о санкциях, информация от службы качества, и др.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-notifications?page=1&dateFrom=2020-09-21T14:15:46.743046Z&dateTo=2020-10-05T15:47:46.743046Z&employeeId=123456&pageSize=100"}},"/v1/get-moderation-notifications":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserNotificationsApiResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":false,"description":"Дата с которой искать сообщения","schema":{"title":"date_from","type":"string","format":"date-time"}},{"in":"query","name":"dateTo","required":false,"description":"Дата по которую искать сообщения","schema":{"title":"date_to","type":"string","format":"date-time"}},{"in":"query","name":"employeeId","required":false,"description":"id пользователя сотрудника агентства","schema":{"title":"employee_id","type":"integer","format":"int64"}},{"in":"query","name":"page","required":true,"description":"Номер страницы","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Размер страницы","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["notifications"],"summary":"Получить уведомления от модерации","description":"Метод API позволяет посмотреть модерационные уведомления, полученные агентством.\n\nВ присылаемых пользователю уведомлениях может быть информация о санкциях, информация от службы качества и др.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-moderation-notifications?page=1&dateFrom=2020-09-21T14:15:46.743046Z&dateTo=2020-10-05T15:47:46.743046Z&userId=123456&pageSize=100"}},"/v1/get-moderation-unread-count":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserUnreadNotificationsCountResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"employeeId","required":false,"description":"Id пользователя сотрудника агентства","schema":{"title":"employee_id","type":"integer","format":"int64"}}],"tags":["notifications"],"summary":"Получить число непрочитанных уведомлений от модерации","description":"Метод API позволяет посмотреть модерационные уведомления, полученные агентством.\n\nВ присылаемых пользователю уведомлениях может быть информация о санкциях, информация от службы качества и др.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-moderation-notifications?page=1&dateFrom=2020-09-21T14:15:46.743046Z&dateTo=2020-10-05T15:47:46.743046Z&userId=123456&pageSize=100"}},"/v1/mark-all-notifications-as-read":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkAllNotificationsAsReadRequestV2Schema"}}}},"tags":["notifications"],"summary":"Пометить все уведомления как прочитанные","description":"Метод API отмечает все имеющиеся уведомления как прочитанные.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/mark-all-notifications-as-read/ --header 'Content-Type: application/json' --data-raw '{\"userId\": 123456, \"employeeId\": 123456}'"}},"/v1/get-estimation-and-bti":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEstimationAndBtiResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"address","required":true,"description":"Адрес","schema":{"title":"address","type":"string","x-sensitiveData":"pdnClient"}},{"in":"query","name":"fiasHouseId","required":false,"description":"ФИАС id дома","schema":{"title":"fias_house_id","type":"string"}},{"in":"query","name":"floorType","required":false,"description":"Тип этажа","schema":{"enum":["last","one","other","two"],"type":"string","x-one":"1 этаж","x-two":"2 этаж","x-last":"Последний этаж","x-other":"Другой этаж","description":"\n\t\n `one`: 1 этаж\t\n `two`: 2 этаж\t\n `last`: Последний этаж\t\n `other`: Другой этаж"}},{"in":"query","name":"repairType","required":false,"description":"Тип ремонта","schema":{"enum":["cosmetic","design","euro","no"],"type":"string","x-cosmetic":"Косметический","x-design":"Дизайнерский","x-euro":"Евроремонт","x-no":"Без ремонта","description":"\n\t\n `cosmetic`: Косметический\t\n `design`: Дизайнерский\t\n `euro`: Евроремонт\t\n `no`: Без ремонта"}}],"tags":["estimation"],"summary":"Получить оценку по адресу","description":"Метод API позволяет получить оценку м² в многоэтажном доме и данные БТИ по адресу.\n\nДоступ к методу платный. Для получения доступа, напишите на b2bdatasales@cian.ru"}},"/v3/subscribe-webhooks":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3SubscribeWebhooksResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3SubscribeWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Зарегистрировать получателя вебхуков (v3)","description":"С помощью метода можно подключить отправку вебхуков на переданный URL. \nВ параметрах можно указать, какие типы сообщений передавать в хуке:\n\n**Чаты по объявлениям пользователя:**\n\n- [offersMessagesIncoming] — только входящие сообщения по объявлениям пользователя\n- [offersMessagesIncoming, offersMessagesLkOutgoing] — все сообщения по объявлениям пользователя, отправленные не через API\n- [offersMessagesIncoming, offersMessagesLkOutgoing, offersMessagesApiOutgoing] — все сообщения по объявлениям пользователя\n\n**Чаты по чужим объектам, на которые откликнулся пользователь:**\n\n- [inquiryOffersMessagesIncoming] — только входящие сообщения в чатах по чужим объектам\n- [inquiryOffersMessagesIncoming, inquiryOffersMessagesLkOutgoing] — все сообщения в чатах по чужим объектам, отправленные не через API\n- [inquiryOffersMessagesIncoming, inquiryOffersMessagesLkOutgoing, inquiryOffersMessagesApiOutgoing] — все сообщения в чатах по чужим объектам\n\n**Чаты по новостройкам:**\n\n- [newbuildingMessagesIncoming] — только входящие сообщения по новостройкам\n- [newbuildingMessagesIncoming, newbuildingMessagesLkOutgoing] — все сообщения по новостройкам, отправленные не через API\n- [newbuildingMessagesIncoming, newbuildingMessagesLkOutgoing, newbuildingMessagesApiOutgoing] — все сообщения по новостройкам\n\n**Чаты с другими пользователями не по конкретному объекту:**\n\n- [agentMessagesIncoming] — только входящие сообщения в чатах с другими пользователями\n- [agentMessagesIncoming, agentMessagesLkOutgoing] — все сообщения в чатах с другими пользователями, отправленные не через API\n- [agentMessagesIncoming, agentMessagesLkOutgoing, agentMessagesApiOutgoing] — все сообщения в чатах с другими пользователями\n\n**Прочие типы:**\n\n- [systemMessages] — системные сообщения от Циан и модерации;\n- [chatsReadability] — вебхук о прочитанности чата;\n\nНапример:  \n- [offersMessagesIncoming] — только входящие сообщения по объявлениям пользователя\n- [offersMessagesIncoming, systemMessages] — только входящие по объявлениям пользователя и системные сообщения\n- [offersMessagesIncoming, offersMessagesLkOutgoing, systemMessages] — все сообщения по объявлениям пользователя, отправленные не через API, а также системные сообщения от Циана и модерации\n\n\n<b>Важно!</b>\n- В вебхуке будут приходить все новые сообщения всех выбранных типов — это может быть одно или несколько сообщений.\n- Если сообщения не удаётся доставить на URL в течение 72 часов, этот URL будет автоматически отключен.\n- В ответе метода указаны модели вебхуков, которые будут отправляться на указанные URL.\n\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v3/subscribe-webhooks --header 'Content-Type: application/json' --data-raw '{\"url\": \"https://example.com\", \"webhookTypes\": [\"offersMessagesIncoming\", \"agentMessagesIncoming\"]}'"}},"/v3/unsubscribe-webhooks":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3UnsubscribeWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Отписать получателя от вебхуков (v3)","description":"Используйте метод, чтобы отключить URL от получения вебхуков с новыми сообщениями.\n\nВ параметрах можно указать, какие URL и/или webhookType отключить:\n- url: отключит все типы вебхуков, подключенные к указанному URL\n- webhookType: отключит переданный тип вебхука  от всех URL \n- url + webhookType: отключит URL у переданного типа вебхука\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v3/unsubscribe-webhooks --header 'Content-Type: application/json' --data-raw '{\"url\": \"https://example.com\", \"webhookType\": \"offersMessages\"}'"}},"/v3/get-webhooks-subscriptions":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3GetWebhooksSubscriptionsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["chats"],"summary":"Получить текущие подписки вебхуков (v3)","description":"Используйте метод, чтобы получить список активных подписок на получение вебхуков, включая новые типы подписок: сообщения в чатах по чужим объектам и с другими пользователями.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v3/get-webhooks-subscriptions --header 'Content-Type: application/json'"}},"/v1/send-test-webhook":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1SendTestWebhooksResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1SendTestWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Отправить тестовый вебхук на зарегистрированный url","description":"После вызова метода отправим тестовый вебхук на подключенный URL.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/send-test-webhook --header 'Content-Type: application/json' --data-raw '{\"webhookType\": \"offersMessages\"}'\n"}},"/v1/get-chat":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetChatResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"chatId","required":true,"description":"ID чата","schema":{"title":"chat_id","type":"integer","format":"int64"}}],"tags":["chats"],"summary":"Получить информацию по чату","description":"Метод возвращает массив данных по аналогии с данными из уведомлений о новых сообщениях (вебхук). \n\nПозволяет узнать данные о последнем сообщении в чате, его авторе и объекте, по которому создан чат.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-chat?chatId=1"}},"/v1/get-chats":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetChatsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"chatCreatedFrom","required":false,"description":"Дата и время создания чата, с которого выгружать чаты включительно. Если параметр не указан, то по умолчанию используется месяц полгода назад от `chatCreatedTill`.","schema":{"title":"chat_created_from","type":"string","format":"date-time"}},{"in":"query","name":"chatCreatedTill","required":false,"description":"Дата и время создания чата, до которого выгружать чаты включительно. Если параметр не указан, то по умолчанию используется текущее время.","schema":{"title":"chat_created_till","type":"string","format":"date-time"}},{"in":"query","name":"employeeId","required":false,"description":"ID кабинета сотрудника в Циане. Список активных сотрудников можно получить по [методу](https://public-api.cian.ru/docs/latest#tag/agents/paths/~1v1~1get-agents/get) или найти в Личном кабинете в разделе Сотрудники. Метод работает только с сотрудниками этого агентства недвижимости, если такого сотрудника нет, вернется пустой ответ.","schema":{"title":"employee_id","type":"integer","format":"int64"}},{"in":"query","name":"orderBy","required":false,"description":"Поле, используемое для сортировки чатов в ответе метода. Сортировать можно по ID чата (`chatId`), дате создания чата (`createdAt`) или дате последнего сообщения в чате (`updatedAt`). Если параметр не указан, то по умолчанию используется значение `updatedAt`.","schema":{"enum":["chatId","createdAt","updatedAt"],"type":"string","x-createdAt":"Время создания чата","x-updatedAt":"Время обновления чата","x-chatId":"Идентификатор чата","description":"\n\t\n `createdAt`: Время создания чата\t\n `updatedAt`: Время обновления чата\t\n `chatId`: Идентификатор чата"}},{"in":"query","name":"orderDir","required":false,"description":"Направление сортировки: `asc` - по возрастанию значения поля `orderBy`, `desc` - по убыванию значения поля `orderBy`. Если параметр не указан, то по умолчанию используется значение `desc`.","schema":{"enum":["asc","desc"],"type":"string","x-asc":"По возрастанию","x-desc":"По убыванию","description":"\n\t\n `asc`: По возрастанию\t\n `desc`: По убыванию"}},{"in":"query","name":"page","required":true,"description":"Номер страницы, если количество чатов в ответе метода превышает `pageSize`. Обязательный параметр. Страницы нумеруются с 1. Если указан несуществующий номер страницы, вернется пустой ответ.","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Количество чатов, возвращаемое методом за один вызов. Обязательный параметр. Минимальное значение 1, максимальное значение 100.","schema":{"title":"page_size","type":"integer","format":"int64"}}],"tags":["chats"],"summary":"Получить информацию по чатам","description":"Метод позволяет получить массив всех чатов агентства или только определенного сотрудника с учетом параметров сортировки и пагинации за выбранный период. Максимальный размер окна выборки по дате создания - полгода.\n\nВ объекте каждого чата: данные о последнем сообщении, его авторе и объявлении, по которому создан чат.\n\nПри активной подписке в вебхуках на системные сообщения systemMessages по этому методу можно получать также данные по системным чатам (Циан и модерация).\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-chats?page=1&pageSize=100&orderBy=chatId&chatCreatedFrom=2024-10-04+07:56:31&chatCreatedTill=2025-02-24+07:56:31"}},"/v1/read-chat":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiReadChatRequestSchema"}}}},"tags":["chats"],"summary":"Пометить чат прочитанным","description":"Метод позволяет пометить чат прочитанным.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/read-chat?chatId=1"}},"/v1/get-messages":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetMessagesResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"chatId","required":true,"description":"ID чата","schema":{"title":"chat_id","type":"integer","format":"int64"}},{"in":"query","name":"page","required":true,"description":"Номер страницы, если количество сообщений в ответе метода превышает `pageSize`. Обязательный параметр. Страницы нумеруются с 1. Если указан несуществующий номер страницы, вернется пустой ответ.","schema":{"title":"page","type":"integer","format":"int64"}},{"in":"query","name":"pageSize","required":true,"description":"Количество сообщений, возвращаемое методом за один вызов. Обязательный параметр. Минимальное значение 1, максимальное значение 100.","schema":{"title":"page_size","type":"integer","format":"int64"}},{"in":"query","name":"readChat","required":false,"description":"Пометить ли чат прочитанным, по умолчанию True","schema":{"title":"read_chat","type":"boolean"}}],"tags":["chats"],"summary":"Получить список сообщений","description":"Метод позволяет вернуть список всех сообщений в заданном ID чата: для этого укажите количество сообщений в ответе и номер страницы.\n\nМетод возвращает список всех сообщений в чате, данные о пользователях в чате, а также общее количество всех сообщений в чате.\n\n<b>Важно!</b>\n- По системным чатам (Циан и модерация) будут доступны только последние 100 сообщений.\n\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-messages?page=1&pageSize=100&chatId=1"}},"/v1/get-message-file":{"get":{"responses":{"200":{"content":{"application/octet-stream":{"examples":{"response":{"value":"binary data"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"fileId","required":true,"description":"Идентификатор файла","schema":{"title":"file_id","type":"string"}}],"tags":["chats"],"summary":"Получить файл","description":"Метод позволяет получить файл по его уникальному идентификатору.\n\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-message-file?fileId=d5c09995-5677-4303-923e-401182574cc5"}},"/v1/send-message":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiSendMessageResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiSendMessageRequestSchema"}}}},"tags":["chats"],"summary":"Отправить сообщение","description":"Метод позволяет отправлять текстовые сообщения от имени автора объявления.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/send-message --header 'Content-Type: application/json' --data-raw '{\"chatId\": 1, \"content\": {\"text\": \"Это тестовое сообщение\"}}'"}},"/v1/upload-file":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddFilesResponseV2SchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"tags":["chats"],"summary":"Загрузить файл","description":"Метод используется для загрузки файлов: JPEG, GIF, PNG, TIFF, HEIC, HEIF, DOC, PDF.\n\nОсобенности работы с загрузкой изображений:\n- Можно загружать несколько файлов\n- Если несколько файлов в запросе, их порядок в ответе такое же как при запросе\n- Максимальный размер запроса — 50 МБ\n\nПример:\n\n    curl --location 'https://public-api.cian.ru/v1/upload-file' --form 'photo_balcony=@\"/tmp/photo_balcony.png\"' --form 'room=@\"/tmp/room.jpeg\"'"}},"/v1/send-message-with-files":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiSendMessageResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiSendMessageWithFilesRequestSchema"}}}},"tags":["chats"],"summary":"Отправить сообщение с файлами","description":"Метод позволяет отправлять сообщения с файлами от имени автора объявления.\n\nПеред отправкой сообщения с файлами необходимо загрузить файлы \nчерез метод [`/v1/upload-file/`](#tag/chats/paths/~1v1~1upload-file/post), получить идентификаторы файлов (uid)\nи использовать их при отправке сообщения.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/send-message-with-files --header 'Content-Type: application/json' --data-raw '{\"chatId\": 1, \"content\": {\"text\": \"Это сообщение с файлом\", \"files\": [{\"uid\": \"file-uid-123\", \"name\": \"document.pdf\"}]}}'"}},"/v2/subscribe-webhooks":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2SubscribeWebhooksResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2SubscribeWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Зарегистрировать получателя вебхуков (v2)","description":"С помощью метода можно подключить отправку вебхуков на переданный URL. \nВ параметрах можно указать, какие сообщения передавать в хуке:\n\n- [offersMessagesIncoming] — все входящие сообщения по объявлениям;\n- [offersMessagesIncoming, offersMessagesLkOutgoing] — все входящие и исходящие по объявлениям, отправленные не через API;\n- [offersMessagesIncoming, offersMessagesLkOutgoing, offersMessagesApiOutgoing]  — все входящие и все исходящие сообщения по объявлениям.\n- [newbuildingMessagesIncoming] - все входящие сообщения по новостройкам;\n- [newbuildingMessagesIncoming, newbuildingMessagesLkOutgoing] — все входящие и исходящие по новостройкам, отправленные не через API;\n- [newbuildingMessagesIncoming, newbuildingMessagesLkOutgoing, newbuildingMessagesApiOutgoing]  — все входящие и все исходящие сообщения по новостройкам.\n- [systemMessages] — системные сообщения от Циан и модерации;\n- [chatsReadability] — вебхук о прочитанности чата;\n\nНапример:  \n- [offersMessagesIncoming] — только входящие сообщения по объявлениям;\n- [offersMessagesIncoming, systemMessages] — только входящие по объявлениям и системные сообщения;\n- [offersMessagesIncoming, offersMessagesLkOutgoing, systemMessages] — все входящие и исходящие по объявлениям, отправленные не через API, а также системные сообщения от Циан и модерации.\n\n\n<b>Важно!</b>\n- В вебхуке будут приходить все новые сообщения по всем чатам — это может быть одно или несколько сообщений.\n- Если в течение больше 72 часов не удается доставить сообщения на URL, он будет автоматически отключен.\n- В ответе метода указаны модели вебхуков, которые будут отправляться на указанные URL.\n\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v2/subscribe-webhooks --header 'Content-Type: application/json' --data-raw '{\"url\": \"https://example.com\", \"webhookTypes\": [\"offersMessagesIncoming\"]}'\n","deprecated":"true"}},"/v2/unsubscribe-webhooks":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2UnsubscribeWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Отписать получателя от вебхуков (v2)","description":"Используйте метод для отключения URL от получения вебхуков новых сообщений.\n\nВ параметрах можно указать, какие URL и/или webhookType отключить:\n- url: отключит все типы вебхуков, подключенные к указанному URL.\n- webhookType: отключит переданный тип вебхука полностью (все URL). \n- url + webhookType: отключит URL у переданного тип вебхука.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v2/unsubscribe-webhooks --header 'Content-Type: application/json' --data-raw '{\"url\": \"https://example.com\", \"webhookType\": \"offersMessages\"}'","deprecated":"true"}},"/v1/get-webhooks-subscriptions":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetWebhooksSubscriptionsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[],"tags":["chats"],"summary":"Получить текущие подписки вебхуков (v1)","description":"Используйте метод для получения списка текущих подписок на получение вебхуков.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-webhooks-subscriptions --header 'Content-Type: application/json'","deprecated":"true"}},"/v1/subscribe-offers-messages-webhook":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscribeOffersMessagesWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Зарегистрировать получателя вебхуков о новых сообщениях в чатах по объявлениям","description":"С помощью метода можно подключить получение новых сообщений на переданный URL. \nВ параметрах можно указать, какие сообщения передавать в хуке:\n\n- только входящие сообщения (по умолчанию);\n- все входящие и исходящие, отправленные не через API;\n- все входящие и исходящие сообщения.\n\nВ вебхуке будут приходить все новые сообщения по всем чатам — это может быть одно или несколько сообщений.\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/subscribe-offers-messages-webhook --header 'Content-Type: application/json' --data-raw '{\"url\": \"https://example.com\", \"deliveryStrategy\": \"incoming\"}'\n","deprecated":"true"}},"/v1/unsubscribe-offers-messages-webhook":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsubscribeOffersMessagesWebhooksRequestSchema"}}}},"tags":["chats"],"summary":"Отписать получателя вебхуков о новых сообщениях в чатах по объявлениям","description":"Используйте метод для отключения URL от получения вебхуков новых сообщений.\n\n\nПример:\n\n    curl -X POST -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/unsubscribe-offers-messages-webhook --header 'Content-Type: application/json'","deprecated":"true"}},"/v1/get-search-coverage":{"get":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetOfferCoverageResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"parameters":[{"in":"query","name":"dateFrom","required":true,"description":"Дата начала периода","schema":{"title":"date_from","type":"string","format":"date"}},{"in":"query","name":"dateTo","required":true,"description":"Дата конца периода","schema":{"title":"date_to","type":"string","format":"date"}},{"in":"query","name":"offerId","required":true,"description":"ID объявления в ЦИАН","schema":{"title":"offer_id","type":"integer","format":"int64"}}],"tags":["statistics"],"summary":"Получить охват по объявлению","description":"Устаревшее API\n\nМетод позволяет получить охват по объявлению. Охват – это доля увидевших ваше объявление из тех пользователей, под чей поиск подошёл ваш объект. Остальные пользователи не долистали результаты поиска до вашего объявления.\n\nПример:\n\n    curl -X GET -H 'Authorization: Bearer <ACCESS TOKEN>' https://public-api.cian.ru/v1/get-search-coverage?dateTo=2019-10-30&dateFrom=2019-09-10&offerId=116033160","deprecated":"true"}},"/v1/get-available-offers":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetAvailableOffersResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetAvailableOffersRequestSchema"}}}},"tags":["proposals"],"summary":"Проверка доступности объявлений для рассылки","description":"Метод позволяет проверить, доступны ли указанные объявления для создания рассылок предложений. Для каждого объявления возвращается статус доступности и, в случае недоступности, причины.\n\nПроверка учитывает:\n- Принадлежность объявления пользователю\n- Категорию объявления (поддерживается ли данный тип недвижимости)\n- Особые характеристики объявления, влияющие на возможность создания рассылок"}},"/v1/get-mailing-parameters":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetMailingParametersResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1GetMailingParametersRequestSchema"}}}},"tags":["proposals"],"summary":"Получение параметров для формирования предложений","description":"Метод предоставляет информацию о доступных параметрах для создания рассылок предложений по указанным объявлениям.\n\nОграничение:\n- Количество одновременных рассылок может быть ограничено, максимальное значение будет указано в ошибке\n\nВозвращаемые данные включают:\n- Общие параметры, применимые ко всем объявлениям:\n  - Все доступные типы предложений (скидка, быстрый выход на сделку, просмотр объекта и проч.)\n  - Допустимые сроки действия предложений\n\n- Параметры для каждого конкретного объявления:\n  - Максимальный и минимальный размер скидки\n  - Количество потенциальных получателей\n  - Доступные типы предложений для конкретного объявления"}},"/v1/create-mailings":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1CreateMailingsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1CreateMailingsRequestSchema"}}}},"tags":["proposals"],"summary":"Создание рассылок предложений","description":"Метод принимает список объявлений с параметрами для создания рассылок и сохраняет их в системе.\n\nОграничение:\n- Количество одновременных рассылок может быть ограничено, максимальное значение будет указано в ошибке\n\nДля каждого объявления можно указать:\n- Тип предложения (скидка, готовность к быстрой сделке, просмотр объекта, юридическое сопровождение и др.)\n- Размер скидки (для предложений типа «скидка»: конкретная сумма в рублях, долларах или евро)\n- Количество получателей\n- Срок действия предложения\n\nСистема проводит валидацию параметров и возвращает статус обработки для каждого объявления."}},"/v1/calculate-tariffs/":{"post":{"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalculateTariffsResponseSchemaWrapper"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponseSchemaWrapper"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalculateTariffsRequestSchema"}}}},"tags":["tariffs"],"summary":"Рассчитать актуальные тарифы размещения и продвижения","description":"Метод возвращает актуальную стоимость публикации объявления и стоимость продвижения (кроме продвижения с оплатой за уникальный просмотр).\n\nApi-интерфейс носит исключительно информационный характер. Данные, полученные Пользователем с использованием api-интерфейса являются актуальными исключительно на момент их запроса. Фактическая стоимость размещения и продвижения объявления по указанным Пользователем параметрам отображается непосредственно перед оплатой соответствующего объявления на сайте cian.ru\n\nПоддерживаются все категории XML-фидов, кроме посуточной аренды и новостроек. Для доступа к этому API необходимо обладать подпиской с уровнем Silver, Gold или Platinum, а также подключёнными XML-фидами."}}},"components":{"schemas":{"BonusBalanceSchema":{"type":"object","properties":{"amount":{"title":"amount","type":"number","format":"decimal","description":"Остаток бонуса"},"endDate":{"title":"end_date","type":"string","format":"date-time","description":"Последний день срока действия бонуса"}},"required":["amount"]},"BalanceModelSchema":{"type":"object","properties":{"auctionPoints":{"type":"array","items":{"$ref":"#/components/schemas/BonusBalanceSchema"},"description":"Баллы на аукцион и сроки их истечения"},"bonuses":{"type":"array","items":{"$ref":"#/components/schemas/BonusBalanceSchema"},"description":"Бонусы и сроки их истечения (включая бессрочные бонусы)."},"discountBonuses":{"type":"array","items":{"$ref":"#/components/schemas/BonusBalanceSchema"},"description":"Новые вид бонусов, которые не смешиваются с рублями."},"heldAmount":{"title":"held_amount","type":"number","format":"decimal","description":"Захолдированные средства"},"totalBalance":{"title":"total_balance","type":"number","format":"decimal","description":"Полный суммарный баланс пользователя на текущий момент, без кеша. Включает все виды денег (бонусы и т.п.)"}},"required":["heldAmount","totalBalance"]},"BalanceModelSchemaWrapper":{"type":"object","properties":{"operationId":{"title":"operation_id","type":"string","format":"uuid","description":"ID запроса"},"result":{"$ref":"#/components/schemas/BalanceModelSchema","description":"Результат"}},"required":["operationId","result"]},"ErrorSchema":{"type":"object","properties":{"code":{"title":"code","type":"string","description":"Код ошибки"},"key":{"title":"key","type":"string","description":"Название поля"},"message":{"title":"message","type":"string","description":"Сообщение об ошибке"}}},"ErrorResponseSchema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorSchema"},"description":"Ошибки"},"message":{"title":"message","type":"string","description":"Сообщение об ошибке"}},"required":["message"]},"ErrorResponseSchemaWrapper":{"type":"object","properties":{"operationId":{"title":"operation_id","type":"string","format":"uuid","description":"ID запроса"},"result":{"$ref":"#/components/schemas/ErrorResponseSchema","description":"Результат"}},"required":["operationId","result"]},"OfferAuctionInfoSchema":{"type":"object","properties":{"currentBet":{"title":"current_bet","type":"number","format":"double","description":"Текущая ставка"},"leaderBet":{"title":"leader_bet","type":"number","format":"double","description":"Ставка лидера"},"offerId":{"title":"offer_id","type":"integer","format":"int64","description":"Id объявления"},"page":{"title":"page","type":"integer","format":"int64","description":"Страница"},"position":{"title":"position","type":"integer","format":"int64","description":"Позиция в выдаче"}},"required":["offerId","page","position"]},"V1GetOffersAuctionInfoResponseSchema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/OfferAuctionInfoSchema"},"description":"Конкуренция по объявлениям"}},"required":["items"]},"V1GetOffersAuctionInfoResponseSchemaWrapper":{"type":"object","properties":{"operationId":{"title":"operation_id","type":"string","format":"uuid","description":"ID запроса"},"result":{"$ref":"#/components/schemas/V1GetOffersAuctionInfoResponseSchema","description":"Результат"}},"required":["operationId","result"]},"PredictionSchema":{"type":"object","properties":{"bet":{"title":"bet","type":"integer","format":"int64","description":"Ставка к топу"},"promotionType":{"enum":["noPromotion","premium","standard","top"],"type":"string","x-noPromotion":"Без продвижения. Объявление без ставки","x-standard":"Стандарт. Платное или бесплатное размещение с минимальной ставкой","x-premium":"Премиум. Соответствует услуге PremiumObject","x-top":"Топ. Соответствует услуге Top3","description":"\n\t\n `noPromotion`: Без продвижения. Объявление без ставки\t\n `standard`: Стандарт. Платное или бесплатное размещение с минимальной ставкой\t\n `premium`: Премиум. Соответствует услуге PremiumObject\t\n `top`: Топ. Соответствует услуге Top3"},"requestedBet":{"title":"requested_bet","type":"integer","format":"int64","description":"Запрошенная ставка к топу"},"upperUplift":{"title":"upper_uplift","type":"integer","format":"int64","description":"Верхняя граница прироста показов относительно noPromotion"}},"required":["promotionType","upperUplift"]},"OfferPredictionsSchema":{"type":"object","properties":{"date":{"title":"date","type":"string","format":"date","description":"Дата составления прогноза"},"offerId":{"title":"offer_id","type":"integer","format":"int64","description":"Идентификатор объявления"},"predictions":{"type":"array","items":{"$ref":"#/components/schemas/PredictionSchema"},"description":"Прогнозы по уровням продвижения и ставкам к топу, если были запрошены ставки к топу"}},"required":["date","offerId","predictions"]},"V1GetOffersPredictionsResponseSchema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/OfferPredictionsSchema"},"description":"Прогнозы по объявлениям"}},"required":["items"]},"V1GetOffersPredictionsResponseSchemaWrapper":{"type":"object","properties":{"operationId":{"title":"operation_id","type":"string","format":"uuid","description":"ID запроса"},"result":{"$ref":"#/components/schemas/V1GetOffersPredictionsResponseSchema","description":"Результат"}},"required":["operationId","result"]},"V1GetOffersPredictionsRequestSchema":{"type":"object","properties":{"bets":{"title":"bets","type":"array","items":{"title":"bets","type":"integer","format":"int64"},"description":"Ставки к топу, по которым нужно вернуть прогнозы (максимум 20шт. по всем объявлениям)"},"offerIds":{"title":"offer_ids","type":"array","items":{"title":"offer_ids","type":"integer","format":"int64"},"description":"Ids объявлений (максимум 20шт.)"}},"required":["offerIds"]},"CpcPromotionCompetitionAnnouncementDtoSchema":{"type":"object","properties":{"amountSpent":{"title":"amount_spent","type":"integer","format":"int64","description":"Потраченные на продвижение объявление средства (баллы/рубли) за текущий день."},"announcementId":{"title":"announcement_id","type":"integer","format":"int64","description":"Id объявления."},"competitorsWithPromotion":{"title":"competitors_with_promotion","type":"integer","format":"int64","description":"Количество конкурентов с продвижением."},"competitorsWithoutPromotion":{"title":"competitors_without_promotion","type":"integer","format":"int64","description":"Количество конкурентов без продвижения."},"isPromotionApplied":{"title":"is_promotion_applied","type":"boolean","description":"Применено ли продвижение к объявлению."},"leftLimit":{"title":"left_limit","type":"integer","format":"int64","description":"Остаток лимита на продвижение до конца дня."},"maxCompetitorBet":{"title":"max_competitor_bet","type":"integer","format":"int64","description":"Максимальная ставка конкурентов с продвижением."},"minAheadOfCompetitorsBet":{"title":"min_ahead_of_competitors_bet","type":"integer","format":"int64","description":"Ставка для опережения всех конкурентов с продвижением."},"minCompetitorBet":{"title":"min_competitor_bet","type":"integer","format":"int64","description":"Минимальная ставка конкурентов с продвижением."},"paidClicksCount":{"title":"paid_clicks_count","type":"integer","format":"int64","description":"Количество полученных просмотров объявления от продвижения за текущий день."},"percentageOutranked":{"title":"percentage_outranked","type":"integer","format":"int64","description":"Процент опережаеемых конкурентов с продвижением при указанной ставке."}},"required":["amountSpent","announcementId","competitorsWithPromotion","competitorsWithoutPromotion","isPromotionApplied","leftLimit","minAheadOfCompetitorsBet","paidClicksCount","percentageOutranked"]},"GetCpcPromotionCompetitionsResponseSchema":{"type":"object","properties":{"announcements":{"type":"array","items":{"$ref":"#/components/schemas/CpcPromotionCompetitionAnnouncementDtoSchema"},"description":"Массив данных по объявлениям."},"nextPage":{"title":"next_page","type":"boolean","description":"Есть ли следующая страница."},"totalCount":{"title":"total_count","type":"integer","format":"int64","description":"Сколько объявлений всего найдено."}},"required":["announcements","nextPage","totalCount"]},"GetCpcPromotionCompetitionsResponseSchemaWrapper":{"type":"object","properties":{"operationId":{"title":"operation_id","type":"string","format":"uuid","description":"ID запроса"},"result":{"$ref":"#/components/schemas/GetCpcPromotionCompetitionsResponseSchema","description":"Результат"}},"required":["operationId","result"]},"GetCpcPromotionCompetitionsRequestSchema":{"type":"object","properties":{"announcementIds":{"title":"announcement_ids","type":"array","items":{"title":"announcement_ids","type":"integer","format":"int64"},"description":"Список конкретных объявлений; если передан, ручка работает в режиме \"по списку\"."},"page":{"title":"page","type":"integer","format":"int64","description":"Номер страницы; нужен если announcementIds не передан или пустой."},"pageSize":{"title":"page_size","type":"integer","format":"int64","description":"Размер страницы в режиме пагинации."}}},"CpcPromotionBetConfigurationItemDtoSchema":{"type":"object","properties":{"betStep":{"title":"bet_step","type":"integer","format":"int64","description":"Шаг изменения ставки."},"category":{"enum":["bedRent","buildingRent","buildingSale","businessRent","businessSale","carServiceRent","carServiceSale","commercialLandRent","commercialLandSale","cottageRent","cottageSale","dailyBedRent","dailyFlatRent","dailyHouseRent","dailyRoomRent","domesticServicesRent","domesticServicesSale","flatRent","flatSale","flatShareSale","freeAppointmentObjectRent","freeAppointmentObjectSale","garageRent","garageSale","houseRent","houseSale","houseShareRent","houseShareSale","industryRent","industrySale","landSale","newBuildingFlatSale","officeRent","officeSale","publicCateringRent","publicCateringSale","roomRent","roomSale","shoppingAreaRent","shoppingAreaSale","townhouseRent","townhouseSale","warehouseRent","warehouseSale"],"type":"string","x-bedRent":"Койко-место = 0","x-buildingRent":"Здание = 1","x-bui
[...]
